summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGustaf Rydholm <gustaf.rydholm@gmail.com>2022-02-12 16:51:44 +0100
committerGustaf Rydholm <gustaf.rydholm@gmail.com>2022-02-12 16:51:44 +0100
commit773ca865ce8a21762482fc9f523f858d6ced361c (patch)
tree5150bee1b67ec2dfa19309548162602f4e543b6d
parent462843a91a65a6355917b6726cfcc960533a2196 (diff)
fix: checking for www dir
-rwxr-xr-xbin/stagit-new-repo2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/stagit-new-repo b/bin/stagit-new-repo
index 69754e6..df67ea4 100755
--- a/bin/stagit-new-repo
+++ b/bin/stagit-new-repo
@@ -28,7 +28,7 @@ chown -R git:git "$srv/$repo.git"
ln -svf "$srv/$repo.git" "$home/"
echo "Creating a static page directory..."
-[ ! -d "$www/$repo" ] && echo "$repo already exists!" && exit 1
+[ -d "$www/$repo" ] && echo "$www/$repo already exists!" && exit 1
mkdir "$www/$repo"
chown -R git:git "$www/$repo"